<div class="content-heading">
    <div>
        Form Extended
        <small>Native ng2 elements to extend the form functions</small>
    </div>
</div>
<!-- START card-->
<div class="card card-default">
    <div class="card-header">Form elements</div>
    <div class="card-body">
        <form class="form-horizontal" method="get">
            <fieldset>
                <div class="form-group row">
                    <label class="col-md-2 col-form-label">Custom Switch</label>
                    <div class="col-lg-4 col-md-10">
                        <div class="d-flex align-items-center mb-3">
                            <div>Switch Small</div>
                            <div class="ml-auto">
                                <label class="switch switch-sm m-0">
                                    <input type="checkbox" checked="checked" />
                                    <span></span>
                                </label>
                            </div>
                        </div>
                        <div class="d-flex align-items-center mb-3">
                            <div>Switch</div>
                            <div class="ml-auto">
                                <label class="switch m-0">
                                    <input type="checkbox" checked="checked" />
                                    <span></span>
                                </label>
                            </div>
                        </div>
                        <div class="d-flex align-items-center mb-3">
                            <div>Switch Large</div>
                            <div class="ml-auto">
                                <label class="switch switch-lg m-0">
                                    <input type="checkbox" checked="checked" />
                                    <span></span>
                                </label>
                            </div>
                        </div>
                        <div class="d-flex align-items-center">
                            <div>Switch Radio</div>
                            <div class="ml-auto d-flex">
                                <label class="switch switch-lg m-0 mr-2">
                                    <input type="radio" checked="checked" name="radioSwitch" />
                                    <span></span>
                                </label>
                                <label class="switch switch-lg m-0">
                                    <input type="radio" name="radioSwitch" />
                                    <span></span>
                                </label>
                            </div>
                        </div>
                    </div>
                </div>
            </fieldset>
            <fieldset>
                <div class="form-group row mb">
                    <label class="col-md-2 col-form-label">Color pickers</label>
                    <div class="col-md-8">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="card card-default">
                                    <div class="card-header">Input</div>
                                    <div class="card-body">
                                        <label for="" [style.color]="colorDemo1">Show me color</label>
                                        <input class="form-control" [(colorPicker)]="colorDemo1" [value]="colorDemo1" />
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="card card-default">
                                    <div class="card-header">Html element:</div>
                                    <div class="card-body">
                                        <div class="h1 clickable mt-lg" [(colorPicker)]="colorDemo2" [cpPosition]="'bottom'" [style.color]="colorDemo2" [cpPositionOffset]="'50%'" [cpPositionRelativeToArrow]="true">Change me!</div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="card card-default">
                                    <div class="card-header">Cancel button</div>
                                    <div class="card-body">
                                        <input class="form-control" [(colorPicker)]="colorDemo3" [value]="colorDemo3" [cpCancelButton]="true" [cpHeight]="'310px'" />
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="card card-default">
                                    <div class="card-header">Output format</div>
                                    <div class="card-body">
                                        <input class="form-control" [(colorPicker)]="colorDemo4" [value]="colorDemo4" [cpOutputFormat]="'rgba'" />
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </fieldset>
            <fieldset>
                <div class="form-group row mb">
                    <label class="col-md-2 col-form-label">ngSelect2</label>
                    <div class="col-md-6">
                        <label class="mt">Single Select</label>
                        <ngx-select [allowClear]="true" [items]="items" [disabled]="disabled" (data)="refreshValue($event)" (selected)="selected($event)" (removed)="removed($event)" (typed)="typed($event)" placeholder="No city selected">
                        </ngx-select>
                        <label class="mt">Multiple</label>
                        <ngx-select (data)="value" [multiple]="true" [items]="items" [disabled]="disabled" (data)="refreshValue($event)" (selected)="selected($event)" (removed)="removed($event)" placeholder="No city selected"></ngx-select>
                    </div>
                </div>
            </fieldset>
            <fieldset>
                <div class="form-group row">
                    <label class="col-md-2 col-form-label">Masked input</label>
                    <div class="col-md-6">
                        <label class="mt">
                            Using
                            <code>NgModel</code>
                        </label>
                        <input id="1" name="phone" [(ngModel)]="myModel" [textMask]="{mask: mask}" type="text" class="form-control" />
                        <div>Model value: {{myModel || "[empty]"}}</div>
                        <label class="mt">
                            Using
                            <code>NgModel</code> with initial value
                        </label>
                        <input id="2" name="phoneWithValue" [(ngModel)]="modelWithValue" [textMask]="{mask: mask}" type="text" class="form-control" />
                        <div>Model value: {{modelWithValue || "[empty]"}}</div>
                        <label class="mt">
                            Using
                            <code>FormControl</code> with initial value
                        </label>
                        <input id="3" name="phoneFormControl" [formControl]='formControlInput' [textMask]="{mask: mask}" type="text" class="form-control" />
                        <div>Model value: {{formControlInput.value || "[empty]"}}</div>
                    </div>
                </div>
            </fieldset>
            <fieldset>
                <div class="form-group row">
                    <label class="col-md-2 col-form-label">Tags input
                        <div class="text-sm text-muted">Type and press Enter</div>
                    </label>
                    <div class="col-md-10">
                        <div class="mb-2">
                            <label class="mt">Simple Input with two items</label>
                            <tag-input theme='minimal' name="tagName1" [ngModel]="['Typescript', 'Angular 2']"></tag-input>
                        </div>
                        <div class="mb-2">
                            <label class="mt-lg">Input tag that allows max 3 tags</label>
                            <tag-input theme='minimal' name="tagName2" [ngModel]="['Javascript', 'Typescript']" [maxItems]="3" placeholder="Insert a new item"></tag-input>
                        </div>
                        <div class="mb-2">
                            <label class="mt-lg">A read-only tag input</label>
                            <tag-input theme='minimal' name="tagName3" [ngModel]="['Javascript', 'Typescript']"></tag-input>
                        </div>
                        <div class="mb-2">
                            <label class="mt-lg">An input which requires all tags to start with '@' and end with '$'</label>
                            <tag-input theme='minimal' name="tagName4" [ngModel]="['@item$']" [errorMessages]="errorMessages" [validators]="validators"></tag-input>
                        </div>
                    </div>
                </div>
            </fieldset>
            <fieldset>
                <div class="form-group row">
                    <label class="col-md-2 col-form-label">Block Note Editor
                        <div class="text-sm text-muted">Based on textarea</div>
                    </label>
                    <div class="col-md-10">
                        <div class="card">
                            <div class="card-body mh0">
                                <textarea class="form-control note-editor" rows="10"></textarea>
                            </div>
                        </div>
                        <p>With margin</p>
                        <div class="card">
                            <div class="card-body mh0">
                                <textarea class="form-control note-editor note-editor-margin" rows="10"></textarea>
                            </div>
                        </div>
                    </div>
                </div>
            </fieldset>
            <!-- Buttons -->
            <fieldset>
                <div class="d-flex justify-content-center">
                    <button class="btn btn-secondary" type="submit">Cancel</button>
                    <button class="btn btn-primary" type="submit">Save changes</button>
                </div>
            </fieldset>
        </form>
    </div>
</div>
<!-- END card-->
